using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations.DisciplineDb
{
    /// <inheritdoc />
    public partial class updatetableDisciplineDisciplinary_DirectorInvestigatesdatestartnullable2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<DateTime>(
                name: "DateReceived",
                table: "DisciplineInvestigates",
                type: "datetime(6)",
                nullable: true,
                comment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldComment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateNotification",
                table: "DisciplineInvestigates",
                type: "datetime(6)",
                nullable: true,
                comment: "วันแจ้งเตือนล่วงหน้า",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldComment: "วันแจ้งเตือนล่วงหน้า");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateReceived",
                table: "DisciplineDisciplinarys",
                type: "datetime(6)",
                nullable: true,
                comment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldComment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateNotification",
                table: "DisciplineDisciplinarys",
                type: "datetime(6)",
                nullable: true,
                comment: "วันแจ้งเตือนล่วงหน้า",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldComment: "วันแจ้งเตือนล่วงหน้า");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateReceived",
                table: "DisciplineComplaints",
                type: "datetime(6)",
                nullable: true,
                comment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldComment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateNotification",
                table: "DisciplineComplaints",
                type: "datetime(6)",
                nullable: true,
                comment: "วันแจ้งเตือนล่วงหน้า",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldComment: "วันแจ้งเตือนล่วงหน้า");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<DateTime>(
                name: "DateReceived",
                table: "DisciplineInvestigates",
                type: "datetime(6)",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                comment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldNullable: true,
                oldComment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateNotification",
                table: "DisciplineInvestigates",
                type: "datetime(6)",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                comment: "วันแจ้งเตือนล่วงหน้า",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldNullable: true,
                oldComment: "วันแจ้งเตือนล่วงหน้า");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateReceived",
                table: "DisciplineDisciplinarys",
                type: "datetime(6)",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                comment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldNullable: true,
                oldComment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateNotification",
                table: "DisciplineDisciplinarys",
                type: "datetime(6)",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                comment: "วันแจ้งเตือนล่วงหน้า",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldNullable: true,
                oldComment: "วันแจ้งเตือนล่วงหน้า");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateReceived",
                table: "DisciplineComplaints",
                type: "datetime(6)",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                comment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldNullable: true,
                oldComment: "วันที่รับเรื่อง เป็นวันที่ถือเป็นจุดเริ่มต้นของวินัยนั้น ๆ");

            migrationBuilder.AlterColumn<DateTime>(
                name: "DateNotification",
                table: "DisciplineComplaints",
                type: "datetime(6)",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                comment: "วันแจ้งเตือนล่วงหน้า",
                oldClrType: typeof(DateTime),
                oldType: "datetime(6)",
                oldNullable: true,
                oldComment: "วันแจ้งเตือนล่วงหน้า");
        }
    }
}
